# map-pairs

Applies the function item `$f` to successive pairs of items taken one from `$seq1` and one from `$seq2`, returning the concatenation of the resulting sequences in order.

map-pairs($f as function(item(), item()) as item()*, $seq1 as item()*, $seq2 as item()*) → item()*

Arguments
| $f | function(item(), item()) as item()* | The function which will be applied to each pair of items from the two sequences
| $seq1 | item()* | The first sequence
| $seq2 | item()* | The second sequence
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

Next